Bug 90466 - arm: linker error ndefined reference to `nir_metadata_preserve'
Summary: arm: linker error ndefined reference to `nir_metadata_preserve'
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-15 09:15 UTC by Igor Gnatenko
Modified: 2015-07-06 11:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Gnatenko 2015-05-15 09:15:06 UTC
Full log: https://kojipkgs.fedoraproject.org//work/tasks/1009/9671009/build.log

../../../../src/gallium/drivers/vc4/.libs/libvc4.a(vc4_program.o): In function `qir_ITOF':
/builddir/build/BUILD/mesa-51e3453/src/gallium/drivers/vc4/vc4_qir.h:489: undefined reference to `nir_intrinsic_infos'
../../../../src/gallium/drivers/vc4/.libs/libvc4.a(vc4_program.o): In function `ntq_emit_instr':
/builddir/build/BUILD/mesa-51e3453/src/gallium/drivers/vc4/vc4_program.c:1937: undefined reference to `nir_print_instr'
../../../../src/gallium/drivers/vc4/.libs/libvc4.a(vc4_program.o): In function `vc4_shader_ntq':
/builddir/build/BUILD/mesa-51e3453/src/gallium/drivers/vc4/vc4_program.c:2107: undefined reference to `nir_print_shader'
../../../../src/gallium/drivers/vc4/.libs/libvc4.a(vc4_program.o): In function `count_nir_instrs':
/builddir/build/BUILD/mesa-51e3453/src/gallium/drivers/vc4/vc4_program.c:2020: undefined reference to `nir_foreach_block'
../../../../src/gallium/drivers/vc4/.libs/libvc4.a(vc4_program.o): In function `ntq_emit_intrinsic':
/builddir/build/BUILD/mesa-51e3453/src/gallium/drivers/vc4/vc4_program.c:1903: undefined reference to `nir_print_instr'

And more others. I see this error only on armv7hl.
Comment 1 Emil Velikov 2015-05-15 13:26:08 UTC
This issue is not ARM specific. It is present if one tries to use nir in their driver, but libnir is missing from the final link stage (i.e. targets/foo). I've had some patches that address these [1] but forgot to respin/resend them :\

Will them another go in a bit.

[1] http://patchwork.freedesktop.org/bundle/evelikov/nir-lovin'/
Comment 2 Emil Velikov 2015-07-06 11:50:14 UTC
The issue has been resolved with 10.6.0.


bug/show.html.tmpl processed on Jan 24, 2017 at 07:03:16.
(provided by the Example extension).